aboutsummaryrefslogtreecommitdiff
path: root/src/bin/scripts/createlang.sh
diff options
context:
space:
mode:
authorBruce Momjian <bruce@momjian.us>1999-12-16 20:10:02 +0000
committerBruce Momjian <bruce@momjian.us>1999-12-16 20:10:02 +0000
commit5ca971a18a708341dd49f27c23fec40ea4342d13 (patch)
tree2160d7c7e2922bca740fdefe2d0ad7ee9730245e /src/bin/scripts/createlang.sh
parentcf374febf5a06dfbf02f5d6d74f5d156cb9af62a (diff)
downloadpostgresql-5ca971a18a708341dd49f27c23fec40ea4342d13.tar.gz
postgresql-5ca971a18a708341dd49f27c23fec40ea4342d13.zip
Hi,
I sending promised patch with: * getopt_long() - for pg_dump (portable) * and "Usage: " changes in scripts in src/bin/ - this changes are cosmetic only, not change any feature ...etc. All PostgreSQL routines (scripts) support now long options and help's output is alike for all scripts and all support -? or --help. Karel Karel Zak <zakkr@zf.jcu.cz> http://home.zf.jcu.cz/~zakkr/
Diffstat (limited to 'src/bin/scripts/createlang.sh')
-rw-r--r--src/bin/scripts/createlang.sh25
1 files changed, 17 insertions, 8 deletions
diff --git a/src/bin/scripts/createlang.sh b/src/bin/scripts/createlang.sh
index 2b39eaa7125..18c7c1baa71 100644
--- a/src/bin/scripts/createlang.sh
+++ b/src/bin/scripts/createlang.sh
@@ -8,7 +8,7 @@
#
#
# IDENTIFICATION
-# $Header: /cvsroot/pgsql/src/bin/scripts/Attic/createlang.sh,v 1.2 1999/12/07 22:41:44 momjian Exp $
+# $Header: /cvsroot/pgsql/src/bin/scripts/Attic/createlang.sh,v 1.3 1999/12/16 20:10:02 momjian Exp $
#
#-------------------------------------------------------------------------
@@ -51,7 +51,6 @@ do
case "$1" in
--help|-\?)
usage=t
- break
;;
--list|-l)
list=t
@@ -127,12 +126,22 @@ do
shift
done
-
-
-if [ "$usage" ]; then
- echo "Usage: $CMDNAME [-h server] [-p port] [-U username] [-d dbname] \\"
- echo " [-L|--pglib PGLIB] [langname [dbname]]"
- exit 0
+if [ "$usage" ]; then
+ echo ""
+ echo "Usage: $CMDNAME [options] [langname [dbname]]"
+ echo ""
+ echo " -h HOSTNAME, --host=HOSTNAME "
+ echo " -p PORT, --port=PORT "
+ echo " -U USERNAME, --username=USERNAME "
+ echo " -W, --password "
+ echo " -d DBNAME, --database=DBNAME "
+ echo " -e, --echo "
+ echo " -q, --quiet "
+ echo " -D PATH, --location=PATH "
+ echo " -L PGLIB --pglib=PGLIB "
+ echo " -?, --help "
+ echo ""
+ exit 1
fi
if [ "$list" ]; then